/**
 * A segment describing an key or index in an object or array
 */
declare type PathSegment = string | number;
/**
 * An path that describes an value in an object or array
 */
declare type Path = PathSegment | PathSegment[];
/**
 * Checks if an object is a valid path
 * @param p the object to check
 * @returns true if {@code p} is a valid path
 */
declare function isPath(p: any): p is Path;
/**
 * Checks if an path contains number-like strings
 * @param p the path to check
 * @returns true, if {@code p} contains a number-like string
 */
declare function hasNumberlikeStrings(p: Path): boolean;
export { PathSegment, Path, isPath, hasNumberlikeStrings };
