/**
 * A segment describing an key, index, matcher or wildcard in an object or array
 */
declare type PatternSegment = string | number | RegExp;
/**
 * An pattern that describes a number of paths that fulfills the pattern regarding an specific object or array
 */
declare type Pattern = PatternSegment | PatternSegment[];
/**
 * Checks if an object is a valid pattern
 * @param p the object to check
 * @returns true if {@code p} is a valid pattern
 */
declare function isPattern(p: any): p is Pattern;
export { PatternSegment, Pattern, isPattern };
