"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var expand_1 = require("./expand");
var _Path_1 = require("./_Path");
/**
 * Encapsulates the {@link get} and {@link expand} function in an object oriented manner
 * @private
 * @hidden
 */
var _Pattern = /** @class */ (function () {
    function _Pattern(pattern) {
        this.pattern = pattern;
    }
    _Pattern.prototype.get = function (object) {
        return this.expand(object).map(_Path_1.default.prototype.get);
    };
    _Pattern.prototype.expand = function (object) {
        return expand_1.default(this.pattern, object).map(function (p) { return new _Path_1.default(p); });
    };
    _Pattern.prototype.expandRaw = function (object) {
        return expand_1.default(this.pattern, object);
    };
    return _Pattern;
}());
exports.default = _Pattern;
//# sourceMappingURL=_Pattern.js.map