import { Path } from "./Path";
/**
 * Retrieves a value in an object described by an path
 * @param path the path at which the objects value should be retrieved
 * @param obj the object to retrieve a value from
 *
 * @example
 * ```javascript
 * const object = { foo: [null, { bar: "BAR" }] }
 * const result = get(["foo", 1, "bar"], object)
 * // result === "BAR"
 * ```
 */
declare function get<T>(path: Path, obj: T): any;
export default get;
export { get };
