"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var valuesAndPaths_1 = require("./valuesAndPaths");
/**
 * Retrieves all primitive value from an object
 *
 * The order of the returned values is not guarenteed to be sorted in any way
 *
 * @param object the object to retrieve all primitives values from
 * @return an array of all primitive values
 *
 * @example
 * ```javascript
 * const object = { foo: { bar: "bar", baz: [true, 0] }}
 * const result = values(object)
 * // result === [ "bar", true, 0 ]
 * ```
 */
function values(object) {
    return valuesAndPaths_1.default(object).map(function (o) { return o.value; });
}
exports.values = values;
exports.default = values;
//# sourceMappingURL=values.js.map